import Header from "../../Components/Header/Header";
import styles from "../../styles";
import RestrictedComponent from "../../Components/RestrictedComponent/RestrictedComponent";
import TechnicianWidgets from "../../Components/DashboardPage/Technician/TechnicianWidgets";
import TechnicianEquipmentButtons from "../../Components/DashboardPage/Technician/TechnicianEquipmentButtons";
import TechnicianLogButtons from "../../Components/DashboardPage/Technician/TechnicianLogButtons";
import StudentTransactionListView from "../../Components/DashboardPage/Student/StudentTransactionListView";
import StudentDashboard from "../../Components/DashboardPage/Student/StudentDashboard";
import TeacherTransactionListView from "../../Components/DashboardPage/Teacher/TeacherTransactionListView";
export default function Dashboard() {
  return (
    <div style={styles.background}>
      <Header label={"Dashboard"} />
      <RestrictedComponent allow_only={"Technician"}>
        <TechnicianWidgets />
        <TechnicianEquipmentButtons />
        <TechnicianLogButtons />
      </RestrictedComponent>
      <RestrictedComponent allow_only={"Student"}>
        <div
          style={{
            ...styles.flex_row,
            ...{
              flexWrap: "wrap",
              justifyContent: "center",
              marginLeft: "16px",
              marginRight: "16px",
            },
          }}
        >
          <StudentTransactionListView />
          <StudentDashboard />
        </div>
      </RestrictedComponent>
      <RestrictedComponent allow_only={"Teacher"}>
        <TeacherTransactionListView />
      </RestrictedComponent>
    </div>
  );
}
